Summary: log additional data for network connections
Name: netlog2
Version: 1
Release: 4.slc5
Source1: netlog2.init
Source2: netlog2.8.man
License: GPL
Group: System Environment/Kernel
Requires: kernel-module-netlog2
Requires: /usr/bin/staprun /sbin/service /sbin/chkconfig
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%description

Launches a precompiled SystemTap module that logs additional
information for network connections. This package contains the init
script only, you will need a kernel-module-netlog2 packages as well
that matches your running kernel.


%install
rm -rf $RPM_BUILD_ROOT
%{__install} -d -m0755       %{buildroot}/etc/init.d/
%{__install} -m0755 %SOURCE1 %{buildroot}/etc/init.d/netlog2
%{__install} -d -m0755       %{buildroot}%{_mandir}/man8
%{__install} -m0644 %SOURCE2 %{buildroot}%{_mandir}/man8/netlog2.8


%clean
rm -rf $RPM_BUILD_ROOT

%postun
if [ "$1" -gt "0" ]; then
   /sbin/service netlog2 condrestart || :
fi

%preun
if [ "$1" = "0" ]; then
   /sbin/service netlog2 stop || :
   /sbin/chkconfig --del netlog2
fi

%files
%defattr(-,root,root)
/etc/init.d/netlog2
%{_mandir}/man8/netlog2.8*

%changelog
* Tue Sep 23 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch> 1-4.slc5
- initial build on slc5
* Tue Aug  7 2007 Jan Iven <jan.iven@cern.ch> 1-3.slc4
- try to dissociate from terminal, cd to /
- better use init script functions (success/failure etc)

* Mon Aug  6 2007 Jan Iven <jan.iven@cern.ch> 1-2
- fixed? startup script (logger -t ; background)
- added man page

* Mon Jun 25 2007 Jan Iven <jan.iven@cern.ch> 1-1
- Initial build.


