.TH NETLOG2 1 "27 Jun 2007"
.SH NAME
netlog2 \- logs additional data for network connections
.SH SYNOPSIS
/sbin/service netlog start|stop

.br
.SH DESCRIPTION
.B netlog2
consists of a kernel module that logs additional data for incoming and
outgoing network connections, such as the user id and name of the
executable. It has been implemented via the 
.I systemtap
framework that allows to dynamically insert code into existing
functions in a running kernel, via a loadable Linux kernel module.

Logging is started/stopped by a SysV init script, also called 
.B netlog2
, using the standard 
.I /sbin/chkconfig
and
.I /sbin/service
infrastructure.

.SH PACKAGING
Init script and kernel modules live in different RPMS, since the
kernel modules need to be updated for every kernel.

.SH SEE ALSO

.IR http://sourceware.org/systemtap/

.SH AUTHOR
ALex Iribarren, CERN
